StreamUtils.Type (Lucene 10.5.1 benchmark API)
Description: declaration: package: org.apache.lucene.benchmark.byTask.utils, class: StreamUtils, enum: Type

Package org.apache.lucene.benchmark.byTask.utils

# Enum Class StreamUtils.Type

java.lang.Object
java.lang.Enum<StreamUtils.Type>
org.apache.lucene.benchmark.byTask.utils.StreamUtils.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<StreamUtils.Type>`, `Constable`

Enclosing class:
  `StreamUtils`

public static enum StreamUtils.Type extends Enum<StreamUtils.Type>
File format type

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BZIP2`
  BZIP2 is automatically used for .bz2 and .bzip2 extensions.
  `GZIP`
  GZIP is automatically used for .gz and .gzip extensions.
  `PLAIN`
  Plain text is used for anything which is not GZIP or BZIP.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StreamUtils.Type`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StreamUtils.Type[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BZIP2

    public static final StreamUtils.Type BZIP2
    BZIP2 is automatically used for .bz2 and .bzip2 extensions.

  - ### GZIP

    public static final StreamUtils.Type GZIP
    GZIP is automatically used for .gz and .gzip extensions.

  - ### PLAIN

    public static final StreamUtils.Type PLAIN
    Plain text is used for anything which is not GZIP or BZIP.

- ## Method Details

  - ### values

    public static StreamUtils.Type[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StreamUtils.Type valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null